/////////////////////////////////////////////////////////////////////////////////
// Modifications by WyldAnimal


uniform float u_Elapsed;    // The elapsed time in seconds
uniform vec2  u_WindowSize; // Window dimensions in pixels

// Use defines here rather than edit the body of the code.

#define iGlobalTime u_Elapsed
#define iResolution u_WindowSize


uniform sampler2D iChannel0;


vec4 texture2D_Fract(sampler2D sampler,vec2 P) {return texture2D(sampler,fract(P));}
vec4 texture2D_Fract(sampler2D sampler,vec2 P, float Bias) {return texture2D(sampler,fract(P),Bias);}


#define texture2D texture2D_Fract

/////////////////////////////////////////////////////////////////////////////////
// Modifications by WyldAnimal


	uniform vec3 ModColor;
      #ifndef ModColor
         #define Mod_Color ModColor
      #endif
	uniform float ClipAlpha;
      #ifndef ClipAlpha
         #define Clip_Alpha ClipAlpha
      #endif
	uniform vec3 BboxColor;
      #ifndef BboxColor
         #define Bbox_Color BboxColor
      #endif
	uniform float BboxAlpha;
      #ifndef BboxAlpha
         #define Bbox_Alpha BboxAlpha
      #endif



void main ( void )
{
	vec2 uv = gl_TexCoord[0].xy;
    
    vec4 mainColor = texture2D( iChannel0, uv );
	float luma = mainColor.a;

   
// adjust Alpha and color based on Texture	
	if((luma < 1.0) || (luma > 2.0)){
	//BBox Color
	   //gl_FragColor.rgb = Bbox_Color;
	   gl_FragColor.rgb = Bbox_Color*((uv.y)+(uv.x)+0.5);
	   //gl_FragColor.rgb = vec3((uv.y),0.0,0.0);
        gl_FragColor.a = Bbox_Alpha;
    }else{
	//Model Color
	   //gl_FragColor.rgb = Mod_Color;
	   gl_FragColor.rgb = Mod_Color*(1.0-((uv.y)+(uv.x))+0.5);
	   //gl_FragColor.rgb = vec3(0.0,0.0,1.-(uv.y));
       gl_FragColor.a = Clip_Alpha;
   }

}